GNU bug report logs - #46203
28.0.50; flymake doesn't start in java-mode; here is debugger output

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj@HIDDEN>; Keywords: moreinfo; dated Sun, 31 Jan 2021 05:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2022 13:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 09:29:22 2022
Received: from localhost ([127.0.0.1]:33495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o16bi-0000OD-LQ
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 09:29:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:51276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o16bg-0000O5-VU
 for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 09:29:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37388)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1o16bg-0005dP-Kn
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 09:29:20 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:39520)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1o16bb-0004SC-CI
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 09:29:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ugWwMmxqHWuaATpNkdg3h194PRsxka8shf49C2Fxh+s=; b=R3Y6wHHZ/G2jZfZUuLVbp5sV1h
 5XrMJmA3iTo7I8J6ONmsOeTv27ffBurDBjaMnOZ3T8qAhmeKCvX5/9w1Jff68Uw4v/uiqD8nVd3Zo
 1LaEKeNTgyo6yPW4AsoLZBO8Qq2fyVnTmvQecBZSHOoFyXLlHTkppHt+H66Lg+j12nPw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1o16bH-0006tr-Ks
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 15:28:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#46203: 28.0.50; flymake doesn't start in java-mode; here is
 debugger output
References: <m2o8h5n00v.fsf@HIDDEN>
X-Now-Playing: The Names's _From Brussels With Love (1)_: "Cat"
Date: Tue, 14 Jun 2022 15:28:54 +0200
In-Reply-To: <m2o8h5n00v.fsf@HIDDEN> (Pankaj Jangid's message of
 "Sun, 31 Jan 2021 11:03:20 +0530")
Message-ID: <87tu8nl6g9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: > 1. Start
 Emacs with -Q flag. > 2. (setq debug-on-error t) > 3. Open a .java file >
 4. M-x flymake-mode > 5. Move point > > Produces this debugger output: > >
 Debugger entered--Lisp error: (file-miss [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Pankaj Jangid <pankaj@HIDDEN> writes:

> 1. Start Emacs with -Q flag.
> 2. (setq debug-on-error t)
> 3. Open a .java file
> 4. M-x flymake-mode
> 5. Move point
>
> Produces this debugger output:
>
> Debugger entered--Lisp error: (file-missing "Removing directory" "No such file or directory" "/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")

I'm unable to reproduce this problem, but perhaps the fix proposed by
Lian Hung Hon also fixed what you're seeing here?  Are you still able to
reproduce the problem with the current Emacs 29?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46203; Package emacs. Full text available.

Message received at 46203 <at> debbugs.gnu.org:


Received: (at 46203) by debbugs.gnu.org; 14 Jun 2022 13:25:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 09:25:34 2022
Received: from localhost ([127.0.0.1]:33487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o16Y2-0000JH-0i
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 09:25:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o16Xz-0000J3-As
 for 46203 <at> debbugs.gnu.org; Tue, 14 Jun 2022 09:25:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nW+plXm0lZdbTzE8yphMbAkqttZM8YJCYIt0gWtKDdM=; b=i5Wzr9c4xJaNP2C1GktytG6XEP
 3+QBrVESVThcwBlZPZa4s9NanSejdvOenbqdoy81ptrBr8XPtl1gL45xKuiAw5j2vLo8KKV60H3S1
 bfvEpF9ynJy3JAP4zOQGvvx5G7UliMfdULx0SDLuPYsSMUkPvocQ56C4MCmhCWX7pGeo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o16Xq-0006qk-B8; Tue, 14 Jun 2022 15:25:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Lian Hung Hon <hon.lianhung@HIDDEN>
Subject: Re: bug#46203: 28.0.50; flymake doesn't start in java-mode; here is
 debugger output
References: <m2o8h5n00v.fsf@HIDDEN>
 <CAB8ROFZuwdV93=+h3x28DAh5LRSLNM8N8cP+AgGsT9=StTq+Nw@HIDDEN>
X-Now-Playing: Martin Hannett's _From Brussels With Love (1)_: "The Music Room"
Date: Tue, 14 Jun 2022 15:25:21 +0200
In-Reply-To: <CAB8ROFZuwdV93=+h3x28DAh5LRSLNM8N8cP+AgGsT9=StTq+Nw@HIDDEN>
 (Lian Hung Hon's message of "Sun, 14 Mar 2021 12:06:32 +0800")
Message-ID: <87y1xzl6m6.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lian Hung Hon <hon.lianhung@HIDDEN> writes: > Line 901
 should be > > (let* ((temp-dir (file-truename temporary-file-directory)) >
 > This is because the default value of variable temporary-file-directory
 might be > abbreviated, so substring does [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46203
Cc: 46203 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lian Hung Hon <hon.lianhung@HIDDEN> writes:

> Line 901 should be
>
>   (let* ((temp-dir    (file-truename temporary-file-directory))
>
> This is because the default value of variable temporary-file-directory might be
> abbreviated, so substring does not work correctly.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I've now made this change in Emacs 29, but even so, it looks somewhat
unsafe to me -- there probably should be more checks here, but I'm not
that familiar with flymake.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46203; Package emacs. Full text available.

Message received at 46203 <at> debbugs.gnu.org:


Received: (at 46203) by debbugs.gnu.org; 14 Mar 2021 07:13:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 03:13:53 2021
Received: from localhost ([127.0.0.1]:32860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLKwj-0008A7-85
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 03:13:53 -0400
Received: from mail-ed1-f49.google.com ([209.85.208.49]:35706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hon.lianhung@HIDDEN>) id 1lLIbs-0004DJ-I4
 for 46203 <at> debbugs.gnu.org; Sat, 13 Mar 2021 23:44:13 -0500
Received: by mail-ed1-f49.google.com with SMTP id dm8so13441460edb.2
 for <46203 <at> debbugs.gnu.org>; Sat, 13 Mar 2021 20:44:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=hZCVEJv/m9x9OYbHLIlKvQyzRk8NlhZMTcxpCmk1oGg=;
 b=iR7gFiatWZeG+W1rE7Ln4Fi1E/JjWB9VI2GieHlykWhwyhLrX1e12RKg+aApwsfWCY
 16oFod6GHT0c/ojxj2b+PdQguG60u/Ss0Ap39zidshjHD/MnYrUUZsRUd7EeDZR66Ifb
 Z0Ru/O1oos8qeKxUHwFa9JqYczbJABq4TwkSXlY0yno+FTObZXjVfOTOILiGB4ztuZuh
 GrJc92z/itO7Xu6dAVwit199FxmH85dW4AS1O6Dxfg4U2/RhNEPY8A96RkJfVQDzkrRH
 YMAcTl7JccoKHZZPZ7rF+4xkZiZTwBFBFNzYd1B5VK5SOtJJ765ojbeoXyUBu2GQVt1s
 YqBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=hZCVEJv/m9x9OYbHLIlKvQyzRk8NlhZMTcxpCmk1oGg=;
 b=p2mOSitefpgNwOnsCZ+9DO9v1EOE0HfNknq+5Jw4tyJq9SbetEwN8pVf28dNRwLXWG
 PF57QfkERjC9kM13xY1i5TuwTdEKQtuBOgIto3kvhiUOfr/jET0B7RiOpJJr7QTNMWHT
 kM6jbRlfOB0PODvJNmwqPLgUMli1GGw7OQkHrCaEzKGIOPPtuVm4L/vB9p11SqMBD/h1
 mB/0SaFB7TLmMJa4Y6/nZbVpo/K3D6jeaOTCl+hyy76cNKi2PJVH6YKAN0/Hk6viIv2x
 oCSXkpnkcnX5KoPjEmyiSEgoLqFQDAXSVMkOYoABEEymAfE9+npn27hAO2qOUsO0qBLh
 5+vw==
X-Gm-Message-State: AOAM5306M53Bv65K997SuIK98YkF8toVLTtQdFa/1Fs+kKS3aFzLmm5q
 EgyKEBG3A5Kn66l+0rI4IYg2dDFX8FE8BvLNxq0qb3TehrI=
X-Google-Smtp-Source: ABdhPJwPlLCWhLlaw6jLGyPp9Lk6W9Au0SkU9DhzwcPFOFO3RTy9hPENZvCyM69o4YGAX2xfYfJMKEsvkX0pJ2Pg3cY=
X-Received: by 2002:a50:d71e:: with SMTP id t30mr22761560edi.58.1615697046479; 
 Sat, 13 Mar 2021 20:44:06 -0800 (PST)
MIME-Version: 1.0
From: Lian Hung Hon <hon.lianhung@HIDDEN>
Date: Sun, 14 Mar 2021 12:43:55 +0800
Message-ID: <CAB8ROFZP=H1VsrRsb0mjMCztA7ZvzdutvhRamyAJKY4tBUxdnw@HIDDEN>
Subject: 28.0.50; flymake doesn't start in java-mode; here is debugger output
To: 46203 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000085272405bd77c815"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46203
X-Mailman-Approved-At: Sun, 14 Mar 2021 03:13:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000085272405bd77c815
Content-Type: text/plain; charset="UTF-8"

In flymake-proc.el:

(defun flymake-proc--delete-temp-directory (dir-name)
  "Attempt to delete temp dir created by
`flymake-proc-create-temp-with-folder-structure', do not fail on error."
  (let* ((temp-dir    temporary-file-directory)
(suffix      (substring dir-name (1+ (length (directory-file-name
temp-dir))))))
    (while (> (length suffix) 0)
      (setq suffix (directory-file-name suffix))
      ;;+(flymake-log 0 "suffix=%s" suffix)
      (flymake-proc--safe-delete-directory
       (file-truename (expand-file-name suffix temp-dir)))
      (setq suffix (file-name-directory suffix)))))

Line 901 should be

  (let* ((temp-dir    (file-truename temporary-file-directory))

This is because the default value of variable temporary-file-directory
might be abbreviated, so substring does not work correctly. For example, on
my system (Windows) the default value is
"c:/Users/HECTOR~1/AppData/Local/Temp/". It ended up trying to delete my
source directory (!), but fortunately permission is denied.

A workaround is to manually set temporary-file-directory in .emacs to the
correct full path.

Regards,
Hon

--00000000000085272405bd77c815
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>In flymake-proc.el:</div><div><br></=
div><div>(defun flymake-proc--delete-temp-directory (dir-name)</div><div>=
=C2=A0 &quot;Attempt to delete temp dir created by `flymake-proc-create-tem=
p-with-folder-structure&#39;, do not fail on error.&quot;</div><div>=C2=A0 =
(let* ((temp-dir=C2=A0 =C2=A0 temporary-file-directory)</div><div><span sty=
le=3D"white-space:pre">	</span> (suffix=C2=A0 =C2=A0 =C2=A0 (substring dir-=
name (1+ (length (directory-file-name temp-dir))))))</div><div>=C2=A0 =C2=
=A0 (while (&gt; (length suffix) 0)</div><div>=C2=A0 =C2=A0 =C2=A0 (setq su=
ffix (directory-file-name suffix))</div><div>=C2=A0 =C2=A0 =C2=A0 ;;+(flyma=
ke-log 0 &quot;suffix=3D%s&quot; suffix)</div><div>=C2=A0 =C2=A0 =C2=A0 (fl=
ymake-proc--safe-delete-directory</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0(fil=
e-truename (expand-file-name suffix temp-dir)))</div><div>=C2=A0 =C2=A0 =C2=
=A0 (setq suffix (file-name-directory suffix)))))</div><div><br></div><div>=
Line 901 should be</div><div><br></div><div>=C2=A0 (let* ((temp-dir=C2=A0 =
=C2=A0 (file-truename temporary-file-directory))</div><div><br></div><div>T=
his is because the default value of variable temporary-file-directory might=
 be abbreviated, so substring does not work correctly. For example, on my s=
ystem (Windows) the default value is &quot;c:/Users/HECTOR~1/AppData/Local/=
Temp/&quot;. It ended up trying to delete my source directory (!), but fort=
unately permission is denied.</div><div><br></div><div>A workaround is to m=
anually set temporary-file-directory in .emacs to the correct full path.</d=
iv><div><br></div><div>Regards,</div><div>Hon</div></div></div>

--00000000000085272405bd77c815--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46203; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Mar 2021 07:13:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 03:13:53 2021
Received: from localhost ([127.0.0.1]:32856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLKwg-00089w-Dy
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 03:13:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:58928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hon.lianhung@HIDDEN>) id 1lLI1l-0003KR-8b
 for submit <at> debbugs.gnu.org; Sat, 13 Mar 2021 23:06:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53444)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hon.lianhung@HIDDEN>)
 id 1lLI1l-000103-3p
 for bug-gnu-emacs@HIDDEN; Sat, 13 Mar 2021 23:06:53 -0500
Received: from mail-pj1-x102a.google.com ([2607:f8b0:4864:20::102a]:56025)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hon.lianhung@HIDDEN>)
 id 1lLI1e-0004xD-VL
 for bug-gnu-emacs@HIDDEN; Sat, 13 Mar 2021 23:06:52 -0500
Received: by mail-pj1-x102a.google.com with SMTP id bt4so7087323pjb.5
 for <bug-gnu-emacs@HIDDEN>; Sat, 13 Mar 2021 20:06:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=x5j9z10QqNNkA7Fm91bCSA7M8g3PTdjP8Q9K71yRNZc=;
 b=YRY0C0OeBhhgge1FZoJMRzgH21kQDtq9sBVuELIgx/Wf2nt8WamZwY0RE1VhWfEUJL
 2Kl9eERXyoQ4W0tfS821T6FcM/3ktuyRnuzSAhFW+TUBFr5+qnz0d6eNT1wEHVvfDLFv
 0HIus45qxndS1aZ+Av1788kraayJK4tSVpU4Gn/54oX112kNkgKLRXFkHwRqS43fW1oX
 wMEOhPPl5NhqZLeuMTep/uOzNVyuPE+2zJUE2wOgi/Ssc5ypfKLO1DNAWN6avW1u/LTv
 T68VAxrb29+41vC99xiVNTRik0BD24NBMkxQTwns/pPmNQgfParluXIfD8GSz030hKSw
 eltA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=x5j9z10QqNNkA7Fm91bCSA7M8g3PTdjP8Q9K71yRNZc=;
 b=bfczSi2V61vxOVtJkAwkryQCnlW8kUv8BSfDpwb4DuoljvhZhsr6FIs1AIuQdhMG4Q
 kVm1mQvySKkJqSQ2ubv72S4I69bYpuaOEhil0fRg6p0WqO0zdZXtE4Vy20PXm0DvTr0i
 jqoSMlx8tb2t+gOwU+t1RAAIOpGg4pO61zJS0lKpQbTyzGhHsZ8NFg6oNVjPbBEO8T/i
 DcDw2bFXnnVYlpm+Zl5Qp0KEGcjHbH4fHGJeMc0oPXty830qjjiuZyO+IhHxPtZw/I4b
 L91SjJA0n3LUXTM9MVJOBag2fn34GHq6Zr/TpGQple4ilaycKct+eJ1XC+SKnP3WJHCQ
 NQ4g==
X-Gm-Message-State: AOAM530rjxEC83jQiNFBb9jMq+Jsk1x3cHawvTn2GBJRQpt/usOSmcFN
 PnOPo0rmwEORu+PYnyD7F5manic8zkduDBg9KdACDOyKtRM=
X-Google-Smtp-Source: ABdhPJw1Eb14/mZq90EYm1V3U2V+pC390Aih/BqFhicjYbsUQ8g1bPQQPiCpwAwNC3G3qQA2mDXw/T/CS3QsBRv/JFY=
X-Received: by 2002:a17:90b:1007:: with SMTP id
 gm7mr6454944pjb.17.1615694804010; 
 Sat, 13 Mar 2021 20:06:44 -0800 (PST)
MIME-Version: 1.0
From: Lian Hung Hon <hon.lianhung@HIDDEN>
Date: Sun, 14 Mar 2021 12:06:32 +0800
Message-ID: <CAB8ROFZuwdV93=+h3x28DAh5LRSLNM8N8cP+AgGsT9=StTq+Nw@HIDDEN>
Subject: bug#46203: 28.0.50; flymake doesn't start in java-mode;
 here is debugger
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000dbcaba05bd77423f"
Received-SPF: pass client-ip=2607:f8b0:4864:20::102a;
 envelope-from=hon.lianhung@HIDDEN; helo=mail-pj1-x102a.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 14 Mar 2021 03:13:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000dbcaba05bd77423f
Content-Type: text/plain; charset="UTF-8"

In flymake-proc.el:

(defun flymake-proc--delete-temp-directory (dir-name)
  "Attempt to delete temp dir created by
`flymake-proc-create-temp-with-folder-structure', do not fail on error."
  (let* ((temp-dir    temporary-file-directory)
(suffix      (substring dir-name (1+ (length (directory-file-name
temp-dir))))))

    (while (> (length suffix) 0)
      (setq suffix (directory-file-name suffix))
      ;;+(flymake-log 0 "suffix=%s" suffix)
      (flymake-proc--safe-delete-directory
       (file-truename (expand-file-name suffix temp-dir)))
      (setq suffix (file-name-directory suffix)))))

Line 901 should be

  (let* ((temp-dir    (file-truename temporary-file-directory))

This is because the default value of variable temporary-file-directory
might be abbreviated, so substring does not work correctly. For example, on
my system (Windows) the default value
is "c:/Users/HECTOR~1/AppData/Local/Temp/". It ended up trying to delete my
source directory (!), but fortunately permission is denied.

A workaround is to manually set temporary-file-directory in .emacs to the
correct full path.

Regards,
Hon

--000000000000dbcaba05bd77423f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div di=
r=3D"ltr"><div dir=3D"ltr">In flymake-proc.el:<div><br></div><div><div>(def=
un flymake-proc--delete-temp-directory (dir-name)</div><div>=C2=A0 &quot;At=
tempt to delete temp dir created by `flymake-proc-create-temp-with-folder-s=
tructure&#39;, do not fail on error.&quot;</div><div>=C2=A0 (let* ((temp-di=
r=C2=A0 =C2=A0 temporary-file-directory)</div><div><span style=3D"white-spa=
ce:pre">	</span> (suffix=C2=A0 =C2=A0 =C2=A0 (substring dir-name (1+ (lengt=
h (directory-file-name temp-dir))))))</div><div><br></div><div>=C2=A0 =C2=
=A0 (while (&gt; (length suffix) 0)</div><div>=C2=A0 =C2=A0 =C2=A0 (setq su=
ffix (directory-file-name suffix))</div><div>=C2=A0 =C2=A0 =C2=A0 ;;+(flyma=
ke-log 0 &quot;suffix=3D%s&quot; suffix)</div><div>=C2=A0 =C2=A0 =C2=A0 (fl=
ymake-proc--safe-delete-directory</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0(fil=
e-truename (expand-file-name suffix temp-dir)))</div><div>=C2=A0 =C2=A0 =C2=
=A0 (setq suffix (file-name-directory suffix)))))</div></div><div><br></div=
><div>Line 901 should be</div><div><br></div><div>=C2=A0 (let* ((temp-dir=
=C2=A0 =C2=A0 (file-truename temporary-file-directory))<br></div><div><br><=
/div><div>This is because the default value of variable=C2=A0temporary-file=
-directory might be abbreviated, so substring does not work correctly. For =
example, on my system (Windows) the default value is=C2=A0&quot;c:/Users/HE=
CTOR~1/AppData/Local/Temp/&quot;. It ended up trying to delete my source di=
rectory (!), but fortunately permission is denied.</div><div><br></div><div=
>A workaround is to manually set=C2=A0temporary-file-directory in .emacs to=
 the correct full path.</div><div><br></div><div>Regards,</div><div>Hon</di=
v></div></div></div></div></div></div>

--000000000000dbcaba05bd77423f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46203; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2021 05:33:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 31 00:33:40 2021
Received: from localhost ([127.0.0.1]:56225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l65Mh-0001uu-3a
	for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 00:33:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:51306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1l65Mb-0001ui-QL
 for submit <at> debbugs.gnu.org; Sun, 31 Jan 2021 00:33:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55066)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1l65Ma-0000S2-O1
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 00:33:33 -0500
Received: from mail-pg1-x52a.google.com ([2607:f8b0:4864:20::52a]:37836)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1l65MX-00070K-2D
 for bug-gnu-emacs@HIDDEN; Sun, 31 Jan 2021 00:33:32 -0500
Received: by mail-pg1-x52a.google.com with SMTP id z21so9748448pgj.4
 for <bug-gnu-emacs@HIDDEN>; Sat, 30 Jan 2021 21:33:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:mail-followup-to:date:message-id:mime-version;
 bh=aUs/rWyNvw+62e0O4EI+EcO+q4Jw5y0Q99abRvdyWvA=;
 b=RuY+MPdjb9813aiJohwY7zdDDwEQNbnNtpE0hB76+4WcG7bqzvHOwl6RxjBH0YFDZq
 E+x7uf4l+Ku+B4TCJDf3NqBrz/9beIKULgw0nemC7vCoNHXq+aWlW3ZYyMmM7NDB3/Bv
 67tMtEmG5hTCpwQxMPC9pbK91TILsCmUJV6yuDJDvlYbvvnhPjQPG6HHI5Kf38rzfYy3
 1GMtwguWB8D+8D14Sjiq0q1lgIVuLlZgfUg0zVijZhpPO644GzgEFSU1+qCsjYywY8ZX
 R85iarrP4iExDRP89gm8BSDMEbamHk6Tx2KDvVSNgIyAx3pY9znVOJo64y6WaVSDVNG4
 7Qaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:mail-followup-to:date:message-id
 :mime-version;
 bh=aUs/rWyNvw+62e0O4EI+EcO+q4Jw5y0Q99abRvdyWvA=;
 b=PTOl15pcscByxCeQXUD5CLpPfrcDdBeBIS6/XWMaWfaTYevbKMS6rLn36d993FzTO6
 OYDjSV6TUj5DSzFsOXZeKzoDaVEQpftfxYfeBJETZVwoKE1y2dRyB7FEm1kvip8GN8CD
 /ggEpT5BW82HEZZad4l9KoxUD4secBqwv0yn0hRRU+GfDM89w1GnXhGuOvXry8sMsbvE
 hLLmykH8INwlVcDRton5MCuHnrMqeTdzMQUXxfVgbFTXW0lUGfOXOO4XoPTeV1M01Abj
 YY4mVfUocpFm8Wg1x/bveY/6Y2N2YuSKsNpuUgjVjL/IyPHJJdVdrCqozDvmCaS268qv
 bk8g==
X-Gm-Message-State: AOAM531r5eLLk+JCCyTziTCmq3+p8VUds2u8Oyb6RBrDeAlTvH2TOChS
 7oDdppjsoXS1na4HXfkZ1F42bBmXhkISnQ==
X-Google-Smtp-Source: ABdhPJwKCiGmjpS+Bd0a3UnWQ0xkGNmQlBpwF4ySX2y3tOLJP8n/DTIWB++J+XVk2Z03jkKLUBSbsQ==
X-Received: by 2002:a63:1c42:: with SMTP id c2mr11859861pgm.304.1612071206746; 
 Sat, 30 Jan 2021 21:33:26 -0800 (PST)
Received: from mb2.local ([2405:201:5c06:700a:5c14:f03:3312:8280])
 by smtp.gmail.com with ESMTPSA id fa12sm11317600pjb.13.2021.01.30.21.33.25
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 30 Jan 2021 21:33:26 -0800 (PST)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; flymake doesn't start in java-mode; here is debugger output
Mail-Followup-To: bug-gnu-emacs@HIDDEN
Date: Sun, 31 Jan 2021 11:03:20 +0530
Message-ID: <m2o8h5n00v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2607:f8b0:4864:20::52a;
 envelope-from=pankaj@HIDDEN; helo=mail-pg1-x52a.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


1. Start Emacs with -Q flag.
2. (setq debug-on-error t)
3. Open a .java file
4. M-x flymake-mode
5. Move point

Produces this debugger output:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-missing "Removing directory" "No such file or directory" "/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")
  signal(file-missing ("Removing directory" "No such file or directory" "/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00..."))
  files--force(nil delete-directory-internal "/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")
  delete-directory("/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")
  flymake-proc--safe-delete-directory("/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")
  flymake-proc--delete-temp-directory("/private/var/folders/lf/kn5fshdx4md8xcmv02rntfzr00...")
  flymake-proc-simple-java-cleanup()
  #f(compiled-function () #<bytecode 0xc1e366f71c32823>)()
  flymake-proc-legacy-flymake(#f(compiled-function (&rest args) #<bytecode 0x1246cb41db097b05>))
  apply(flymake-proc-legacy-flymake #f(compiled-function (&rest args) #<bytecode 0x1246cb41db097b05>) nil)
  flymake--run-backend(flymake-proc-legacy-flymake nil)
  #f(compiled-function (backend) #<bytecode -0x1596ab80e3b651ab>)(flymake-proc-legacy-flymake)
  run-hook-wrapped(#f(compiled-function (backend) #<bytecode -0x1596ab80e3b651ab>) flymake-proc-legacy-flymake)
  flymake-start((on-display) nil)
  #f(compiled-function () #<bytecode -0x112feb3c13c972cf>)()
--8<---------------cut here---------------end--------------->8---



In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.2.0, NS appkit-2022.20 Version 11.1 (Build 20C69))
 of 2021-01-31 built on mb2.local
Repository revision: 0f2d87716a2cb6fae5ea6719763441c448fe7a74
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.1

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY
KQUEUE NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  electric-pair-mode: t
  display-line-numbers-mode: t
  savehist-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-completions-mode: t
  global-semantic-idle-scheduler-mode: t
  global-semantic-idle-summary-mode: t
  semantic-mode: t
  global-ede-mode: t
  override-global-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-quote-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t
  hs-minor-mode: t

Load-path shadows:
None found.

Features:
(shadow sort flyspell ispell ol-eww eww xdg url-queue mm-url ol-rmail
ol-mhe ol-irc ol-info ol-gnus nnselect gnus-search ol-docview doc-view
jka-compr image-mode exif ol-bibtex bibtex ol-bbdb ol-w3m org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-plantuml ob-sql ob-css ob-js ob-java ob-C
ob-python python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete ls-lisp ob-R ob
ob-tangle org-src ob-ref ob-lob ob-table ob-exp ob-comint ob-emacs-lisp
ob-core ob-eval ol org-loaddefs mail-extr emacsbug utf-7 nndraft nnmh
epa-file gnutls network-stream nsm gnus-agent gnus-srvr gnus-score
score-mode nnvirtual nntp gnus-cache .gnus semantic/analyze/complete
semantic/db-typecache semantic/complete help-fns radix-tree cl-print
debug backtrace flymake-proc flymake compile comint ansi-color warnings
misearch multi-isearch semantic/dep semantic/tag-file ebdb-message
sendmail ebdb-gnus gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
smime dig gnus-sum shr kinsoku svg dom gnus-group gnus-undo gnus-start
gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time iso8601 gnus-spec gnus-int gnus-range message rmc puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg epg-config mm-decode
mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader gnus-win
gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search time-date mail-utils mm-util mail-prsvr vc-git
diff-mode semantic/db-file data-debug cedet-files
semantic/wisent/java-tags semantic/java semantic/decorate/include
semantic/db-find semantic/db-ref semantic/decorate/mode semantic/doc
semantic/wisent/javat-wy cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs hideshow elec-pair
display-line-numbers init savehist edmacro kmacro org-table org-keys
org-compat advice org-macs format-spec srecode/mode semantic/senator
ring semantic/wisent semantic/wisent/wisent semantic/decorate pulse
srecode/insert srecode/filters srecode/args srecode/find srecode/map
srecode/ctxt srecode/compile srecode/dictionary srecode/fields
srecode/table srecode semantic/db-mode semantic/idle semantic/analyze
semantic/sort semantic/scope semantic/analyze/fcn semantic/db
semantic/format semantic/tag-ls semantic/find semantic/ctxt
semantic/util-modes semantic/util semantic pp semantic/tag semantic/lex
semantic/fw mode-local ede/speedbar ede/files ede ede/detect ede/base
ede/auto ede/source eieio-speedbar eieio-custom wid-edit cedet ebdb-mua
ebdb-com crm ebdb-format ebdb mailabbrev eieio-opt speedbar ezimage
dframe find-func eieio-base pcase cal-menu calendar cal-loaddefs
timezone rust-mode rx thingatpt diminish cl-extra help-mode finder-inf
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core server my-init
avoid paren cus-start cus-load my-util info early-init package easymenu
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
kqueue cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 608669 16747)
 (symbols 48 40145 1)
 (strings 32 161760 13390)
 (string-bytes 1 5103534)
 (vectors 16 61491)
 (vector-slots 8 873892 38416)
 (floats 8 312 172)
 (intervals 56 1956 0)
 (buffers 984 30))

-- 
Regards,
Pankaj Jangid

GnuPG Fingerprint: 0B62 7424 3B26 A911 052A DDE6 7C95 6E6F F858 7689




Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46203; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Jun 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.